ImageTile.Cache (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.image
Class ImageTile.Cache

    java.lang.Object
      com.bbn.openmap.util.cacheHandler.CacheHandler
          com.bbn.openmap.dataAccess.image.ImageTile.Cache

Enclosing class:
  ImageTile

    public static class ImageTile.Cache

extends CacheHandler

Field Summary
`protected float` | `cutoffScaleRatio`
`static float` | `DEFAULT_SCALE_RATIO`

Fields inherited from class com.bbn.openmap.util.cacheHandler.CacheHandler
`DEFAULT_MAX_CACHE_SIZE, logger, logicalClock, objs`

Constructor Summary
`ImageTile.Cache()`
`ImageTile.Cache(int maxSize)`

Method Summary
`float` | `getCutoffScaleRatio()`
`CacheObject` | `load(java.lang.Object key)` Returns a CacheObject that will be loaded into the cache.
`void` | `setCutoffScaleRatio(float scale)`

Methods inherited from class com.bbn.openmap.util.cacheHandler.CacheHandler
`clear, get, getCacheSize, listIterator, replaceLeastUsed, resetCache, resetCache, searchCache`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SCALE_RATIO

    public static final float DEFAULT_SCALE_RATIO

See Also:
  Constant Field Values

### cutoffScaleRatio

    protected float cutoffScaleRatio

Constructor Detail

### ImageTile.Cache

    public ImageTile.Cache()

### ImageTile.Cache

    public ImageTile.Cache(int maxSize)

Method Detail

### setCutoffScaleRatio

    public void setCutoffScaleRatio(float scale)

### getCutoffScaleRatio

    public float getCutoffScaleRatio()

### load

    public CacheObject load(java.lang.Object key)

  Returns a CacheObject that will be loaded into the cache. The key should be an ImageDecoder, and the object in the cache object will be the BufferedImage that will get inserted into the ImageTile.

  Specified by:
    `load` in class `CacheHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details